gmerlin (2.0.0~svn6298~dfsg0-7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:18:21 +0100

gmerlin (2.0.0~svn6298~dfsg0-7) unstable; urgency=medium

  * Add patch to fix FTBFS with C23 (Closes: #1096729)
  * Update git repository layout to follow DEP-14

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Sep 2025 12:37:43 +0200

gmerlin (2.0.0~svn6298~dfsg0-6) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on devscripts
  * Remove obsolete build-dep dh-buildinfo
  * Remove CDBS leftovers from debian/README.source

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Aug 2025 07:04:04 +0200

gmerlin (2.0.0~svn6298~dfsg0-5) unstable; urgency=medium

  * Add patch to make autoconf tests compliant with C99 (Closes: #1075014)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Aug 2024 15:18:45 +0200

gmerlin (2.0.0~svn6298~dfsg0-4) unstable; urgency=medium

  * Fix FTBFS with patch for missing includes (Closes: #1073302)
  * Depend on 'pkgconf' rather than 'pkg-config'
  * Clean leftover files (Closes: #1044211)
  * Create pseudo-manpage to allow rebuild (Closes: #1049719)
  * Update d/copyright
    + Replace invalid [] wildcards in d/copyright
    + Bump copyright dates
  * Improve lintian-overrides
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Jun 2024 09:01:45 +0200

gmerlin (2.0.0~svn6298~dfsg0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062171

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:38:49 +0000

gmerlin (2.0.0~svn6298~dfsg0-3) unstable; urgency=medium

  * B-D on libfreetype-dev (rather than libfreetype6-dev)
  * Purge camelot remains
    + Drop broken link to camelot-icon (Closes: #1040464)
    + Drop manpage for camelot
  * Use github for d/watch
  * Modernize 'licensecheck' target
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jul 2023 11:03:29 +0200

gmerlin (2.0.0~svn6298~dfsg0-2) unstable; urgency=medium

  * Add patch for reproducible manpages.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>
    (Closes: #1006256)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Mar 2022 15:06:20 +0100

gmerlin (2.0.0~svn6298~dfsg0-1) unstable; urgency=medium

  * Upload to unstable.
  * libgmerlin-dev
    - Versioned dependency on libgavl-dev (>= 2~)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 12 Feb 2022 18:28:32 +0100

gmerlin (2.0.0~svn6298~dfsg0-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.0~svn6298~dfsg0
    - Drop patches applied upstream
    - Refresh patches
  * Remove /usr/share/gmerlin/plugin.sym from gmerlin-data (Closes: #994866)
  * Add patch to fix FTBFS with format-security (Closes: #1003785)
  * Add patch for gmerlin-transcoder launcher
  * Rename libgmerlin0 to libgermlin2 to follow soname bump
    * Update symbols file
  * B-D on gavl>=2
  * Drop Breaks/Replaces relation against packages
    that are not even in oldoldstable
  * Use execute_before_dh_* instead of override_dh_*
  * Drop on-the-fly manpage generation
  * Drop lintian-override to gmerlin
  * Apply 'wrap-and-sort -ast'
  * Have d/watch mangle the version to 2.0.0~svn
  * Bump dates in d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Feb 2022 16:41:32 +0100

gmerlin (1.2.0+svn6244~dfsg0-1~exp1) experimental; urgency=medium

  * New upstream version 1.2.0+svn6244~dfsg0 (Closes: #967432)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bump to GTK-3
  * Refresh build-dependencies
    * Drop versioned B-D that is satisfiable in oldoldstable
  * d/patches
    * Refresh patches
    * Drop patches applied upstream
    * Add description for cdio-api-fixes.patch
    * Patch to not drop extra CFLAGS
    * Patch to prevent underlinking
    * Patch to prevent segfault when parsing cmdline args
    * Fix typos
  * Fix FTCBFS by using AC_TRY_RUN for posix semaphore check.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #977941)
    (Unfortunately upstream has introduced another bunch of AC_TRY_RUN
    invocations)
  * Versioned dependency on libgavl-dev
  * Disable jack support for now (no longer supported by upstream)
  * Enable hardening+all
  * Drop dbgsym-migration hacks
  * Drop no-longer-useful manpages
  * Drop "statically" (linked) from description of -dev package
  * Update install-files
    * Don't attempt to install non-existing auxiliary-binaries
  * Rename tag-name in lintian-override
  * Refresh libgmerlin0.symbols
  * Remove trailing whitespace from d/changelog
  * Update d/watch
    * Versionmangling in d/watch
  * Update d/copyright
    * Remove redundant globbing patterns from d/copyright
    * Drop non-matching globs from d/copyright
    * Use Files-Excluded to exclude files from orig.tgz
      * Strip out doc/ folder - it's GFDL-1.1
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Switched from cdbs to dh-13
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 31 Aug 2021 15:55:21 +0200

gmerlin (1.2.0~dfsg+1-6.1) unstable; urgency=medium

  * Fix build with libcdio 0.94. Closes: #881794.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Nov 2017 13:47:08 +0100

gmerlin (1.2.0~dfsg+1-6) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Disable esound plugin

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2017 07:25:01 +0000

gmerlin (1.2.0~dfsg+1-5) unstable; urgency=medium

  * Removed gmerlin-dbg
    - Switched to automatic dbgsym package
  * Switched to autoreconf (Closes: #816996)
  * Enabled reproducible builds
  * Unconditionally include cdbs/utils.mk

  * Added debian/git-tuneclone.sh script (see README.source)
  * Updated Vcs-* stanzas
  * Regenerated debian/control|copyright_hints
  * Updated debian/copyright
  * Bumped Standards-version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Mar 2016 00:04:30 +0100

gmerlin (1.2.0~dfsg+1-4) unstable; urgency=medium

  * Made 'gmerlin' depend on 'gmerlin-plugins-base' (Closes: 672352)
  * Updated debian/copyright_hints
  * Regenerated debian/control

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Sep 2014 12:48:28 +0200

gmerlin (1.2.0~dfsg+1-3) unstable; urgency=medium

  * Fixed function definition (Closes: #748164)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 31 Jul 2014 17:45:51 +0200

gmerlin (1.2.0~dfsg+1-2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Added README.source

  [ IOhannes m zmölnig ]
  * Fixed Build-Depends on libtiff-dev (Closes: #736008)
  * manpages
    * Added manpages for album2pls/album2m3u
    * Fixed more manpage errors
  * debian/copyright
    * Clarified Bitzi's "Public Domain" license
    * Removed license info for stripped doc/ folder
  * Applied more hardening flags
  * Removed deprecated DEB_DH_STRIP_ARGS
  * Added lintian-override for adobe-license in font.
  * Multi-Archified the gmerlin package.
  * Bumped standards version to 3.9.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 02 Jul 2014 14:49:54 +0200

gmerlin (1.2.0~dfsg+1-1) unstable; urgency=low

  * Repack tarball to exclude the doc/ directory from upstream sources to
    get rid of non DFSG-compliant documentation. (Closes: #695775)
  * Patch buildsystem to avoid generation of non DFSG-compliant
    documentation.
  * Remove {,lib}gmerlin-doc packages, the docs are no longer provided.
  * Refresh fix_typos.patch against new repackaged tarball.

 -- Alessio Treglia <alessio@debian.org>  Thu, 13 Dec 2012 15:56:51 +0000

gmerlin (1.2.0~dfsg-3) unstable; urgency=low

  * Promote gmerlin-encoders to Recommends. (Closes: #681983)
  * Add alternative on Build-Depends: libtiff4-dev | libtiff-dev.
  * libgmerlin-dev must Break/Replace gmerlin-data (<< 1.0.0~dfsg-13).
    This fixes a squeeze -> wheezy upgrade bug (Closes: #694274)

 -- Alessio Treglia <alessio@debian.org>  Mon, 26 Nov 2012 13:28:56 +0000

gmerlin (1.2.0~dfsg-2) unstable; urgency=low

  * Build with Exif support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Jun 2012 10:56:09 +0200

gmerlin (1.2.0~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Needs gavl >= 1.4.0.
  * Refresh symbols file.
  * Refresh patches.
  * Drop png_set_gray.patch, fixed upstream.
  * Drop function_param_type.patch, applied upstream.
  * Drop underlinking.patch, applied upstream.
  * Drop fix_ftbfs_gtk_2.24.patch, applied upstream.
  * debian/patches/fix_manpages.patch:
    - Fix apps/cmdlinerecorder/gmerlin-record.1 as well.
  * Update Vcs tags.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Jun 2012 13:54:35 +0200

gmerlin (1.0.0~dfsg-13) unstable; urgency=low

  * Move /usr/share/gmerlin/plugin.sym back into libgmerlin-dev. (LP: #935120)

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Feb 2012 17:41:16 +0100

gmerlin (1.0.0~dfsg-12) unstable; urgency=low

  * Replace negated list of architectures with linux-any.
  * Build for Multiarch
    - Split plugins out of main runtime 'gmerlin' package.
    - Bump DH compatibility.
    - Set gmerlin-data as Multi-Arch: foreign.
    - Add --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) to
      DEB_CONFIGURE_EXTRA_FLAGS.
  * Even if not strictly needed, set Breaks/Replaces on gmerlin to be
    greater than or equals 1.0.0~dfsg-12~ to gmerlin-plugins-base.

 -- Alessio Treglia <alessio@debian.org>  Fri, 10 Feb 2012 16:48:22 +0100

gmerlin (1.0.0~dfsg-11) unstable; urgency=medium

  * Move libray support files out of libgmerlin0 to strictly adhere to
    Debian Policy §8.2.
  * Add Breaks/Replaces to allow libgmerlin-common to overwrite and
    replace libgmerlin0 and the version of gmerlin-data available in
    Squeeze; thanks to Andreas Beckmann for reporting this (Closes: #657411).
  * Refresh symbols file.
  * Fix description-synopsis-starts-with-article warning.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Jan 2012 13:43:19 +0100

gmerlin (1.0.0~dfsg-10) unstable; urgency=low

  * Drop build-dependency on libmusicbrainz4-dev. (Closes: #657012)
  * Replace list of negated architectures with linux-any.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Jan 2012 08:56:13 +0100

gmerlin (1.0.0~dfsg-9) unstable; urgency=low

  * Disable Video4Linux support on non-Linux architectures (Closes: #650956).

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Dec 2011 19:48:30 +0100

gmerlin (1.0.0~dfsg-8) unstable; urgency=low

  * Add patch to prevent FTBFS with GTK+ >= 2.24 (LP: #770957).

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 20:22:18 +0100

gmerlin (1.0.0~dfsg-7) unstable; urgency=low

  * Replace libjpeg62-dev with libjpeg-dev in Build-Depends (Closes: #633436).

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jul 2011 12:50:09 +0200

gmerlin (1.0.0~dfsg-6) unstable; urgency=low

  * Upload to unstable.
  * Revert "Build against libquicktime2.", libquicktime has joined unstable.
  * Bump Standards.
  * Regenerate debian/control.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 12:31:23 +0200

gmerlin (1.0.0~dfsg-5) experimental; urgency=low

  * Build against libquicktime2.

 -- Alessio Treglia <alessio@debian.org>  Sat, 30 Apr 2011 10:21:42 +0200

gmerlin (1.0.0~dfsg-4) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 00:38:27 +0100

gmerlin (1.0.0~dfsg-3) experimental; urgency=low

  [ Alessio Treglia ]
  * Revert "Re-enable libasound2-dev on kfreebsd-*, hurd-i386
    architectures since it is provided by 'liboss-salsa-dev'."
  * Fix ML address

  [ IOhannes m zmölnig ]
  * fixed group maintainer name
  * recommend gmerlin-plugins-avdecoder

 -- Alessio Treglia <alessio@debian.org>  Tue, 18 Jan 2011 12:50:56 +0100

gmerlin (1.0.0~dfsg-2) experimental; urgency=low

  * Add patch to prevent FTBFS with newest toolchain;
    this builds fine on Ubuntu Natty, too.

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Jan 2011 15:39:32 +0100

gmerlin (1.0.0~dfsg-1) experimental; urgency=low

  [ IOhannes m zmölnig ]
  * New upstream release:
    - The origin tarball was repacked to remove the include/gmerlin/bg_sem.h
      file, which was covered by BSD-4-clause license terms.
  * adjusted remove_desktop_encoding_key.patch to new upstream
  * fix_577328.patch is no longer needed (fixed in upstream)
  * Switch to 3.0 (quilt) source format.
  * let CDBS handle get-orig-source
  * exclude CVS directories when repackaging source
  * provide a debian policy compliant bg_sem.h
  * Add git-buildpackage configfile, enabling pristine-tar and signed
    tags.
  * added missing parameter types
  * remove (accidental) double call to (deprecated) png_set_gray...()
  * fix various typos reported by lintian
  * fixed typo in manpage
  * link against libxml/libm when needed
  * more consistent .desktop files (remove .png suffix)
  * link app-icons to default place
  * move images from libgmerlin-doc to gmerlin-doc
  * adding manpages
  * put internal binaries into /usr/lib/gmerlin
  * debian/rules: added copyright notice
  * include cdbs/utils.mk for copyright checks
  * re-created debian/copyright (with the help of licensecheck)
  * ignore binaries from licensecheck
  * generate debian/copyright_hints
  * remove generated manpages on "clean"
  * fix path when generating manpages
  * patch to prevent segfault when there is no plugin
  * store/restore autogenerated files
  * clean up clean target
  * moved gmerlin_visualizer_slave to libgmerlin
  * gmerlin.info is generated (no need for patching)
  * regenerated debian/copyright_newhints
  * Suggest: gmerlin-encoders
  * added plugin.sym to libgmerlin0
  * removed trailing whitespaces

  [ Alessio Treglia ]
  * Drop quilt support, package format is 3.0 (quilt) and it's enough.
  * Add .gitignore file to skip quilt patches.
  * debian/control{,.in}:
    - Apply one-dep-per-line style to improve readibility.
    - Add myself to the Uploaders field.
    - Build against the version of gavl available in experimental.
    - Re-enable libasound2-dev on kfreebsd-*, hurd-i386 architectures
      since it is provided by 'liboss-salsa-dev'.
    - Set priority to optional, no reason to keep it as 'extra'.
    - Set -DBG package's priority to 'extra'.
    - Bump Standards.
    - Update Maintainer field, add Vcs-* tags.
    - Fix duplicate-short-description lintian warning.
    - Clean-up, remove trailing whitespaces.
  * Disable building of static libraries.
  * Don't install static libraries, they are no longer built.
  * Add DEP-3 headers to patches.
  * Fix debian-watch-file-should-mangle-version lintian warning.
  * debian/copyright:
    - Update to DEP-5 candidate rev.157,
    - A bit of clean-up, re-formatting of license texts.
  * Update libgmerlin0.symbols file
  * Add --as-needed to linking flags.

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Jan 2011 00:14:14 +0100

gmerlin (0.4.3-2) unstable; urgency=low

  * Patched source to fix two calls to
    depreciated gtk macros.
  Closes: #577328

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 19 Apr 2010 11:57:47 -0500

gmerlin (0.4.3-1) unstable; urgency=low

  * New upstream release.
  Closes: #573833
  * Bumped standards-version.
  * Bumped build-dep on libgavl.
  * Refreshed patches.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Mar 2010 10:53:50 -0500

gmerlin (0.4.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Avoid build-depending on libv4l-dev and libasound2-dev on *bsd
    architectures, as they don't exist there. Patch by Christian Marillat.
    (Closes: #571454)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 11 Mar 2010 17:58:09 +0100

gmerlin (0.4.1-2) unstable; urgency=low

  * Set cpuflags to none at configure in order to
    have a portable binary. Optimizations are detected
    at runtime.
  Closes: #535431
  * Move back the plugins to the gmerlin package. Christian Marillat
    made the correct remark that the fix for #532395, which introduced
    this, would mess when bumping the soname. Furthermore, #532395 does
    not apply to the version of openmovieeditor currently packaged
    in Debian, and is surely a bug in openmovieeditor.
  * Bumped standards version to 3.8.3
  * Added debug package.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 12 Sep 2009 22:13:32 -0500

gmerlin (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * Added build-dep on libjack-dev to enable jack support.
  * Added build-dep on libv4l-dev to enable libv4l support.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 30 Jul 2009 04:58:22 +0200

gmerlin (0.4.0-2) unstable; urgency=low

  * Install plugins in libgmerlin1 binary package,
    to avoid SEGFAUlT when using libgmerlin1
    without having installed gmerlin.
  Closes: #532395

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 13 Jun 2009 12:32:48 +0200

gmerlin (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed watch file.
  * Bumped standards version to 3.8.1
  * Bumped compat to 7.
  * Refreshed patches.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 02 Jun 2009 16:40:16 +0200

gmerlin (0.3.8-1) unstable; urgency=low

  * Adopted package for debian, with Christian Marillat's blessings.
  * Switched to cdbs.
  * Updated debian/copyright

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 24 Nov 2008 14:14:42 +0100

gmerlin (0.3.8-0.2) unstable; urgency=low

  * Build against libquicktime 1.0.3

 -- Christian Marillat <marillat@debian.org>  Sat, 09 Aug 2008 12:07:19 +0200

gmerlin (0.3.8-0.1) unstable; urgency=low

  * libgmerlin-dev should Depends on libxml2-dev and libgavl-dev.

 -- Christian Marillat <marillat@debian.org>  Sun, 03 Aug 2008 14:35:31 +0200

gmerlin (0.3.8-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Jul 2008 18:46:25 +0200
